package com.dcit.danger.dto;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class EnterpriseGoodsDTO {
	
	/**
     * id
     */
    private String id;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 数据类型，1企业辅料，2生产设备，3企业产品，4应急物资
     */
    private String dataType;

    /**
     * 编号
     */
    private String number;

    /**
     * 名称
     */
    private String goodsName;

    /**
     * 介绍
     */
    private String goodsInfo;

    /**
     * 物品类型
     */
    private String category;

    /**
     * 是否是重大危险源,0否，1是
     */
    private String isBigDanger;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 状态
     */
    private String status;

    /**
     * 库存数量
     */
    private String stockNum;

    /**
     * 危险等级
     */
    private String dangerGrade;

    /**
     * 所在厂区位置
     */
    private String factoryLocation;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 仓库编号
     */
    private String warehouseNum;

    /**
     * 入库时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date addTime;

    /**
     * 出库时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date outTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

}
