package com.dcit.danger.dto;

import java.math.BigDecimal;

import lombok.Data;

@Data
public class EnterpriseRegDTO {

	// 管理员用户id
	private String userId;

	// 登录帐号
	private String account;
	// 登录密码
	private String accountPwd;
	// 用户名
	private String userName;
	// 身份证
	private String idCard;
	// 邮箱
	private String email;
	// 手机
	private String mobliePhone;
	// 帐号类型
	private String accountType;
	// 企业id
	private String enterpriseId;

	/**
	 * 企业危险源数量
	 */
	private long dangerNum;

	/**
	 * 企业隐患数量
	 */
	private long troubleNum;

	/**
	 * 企业监控数量
	 */
	private long cameraNum;

	/**
	 * 单位名称
	 */
	private String unitName;

	/**
	 * 组织机构代码
	 */
	private String orgCode;

	/**
	 * 保存营业执照图片路径
	 */
	private String orgFilePath;
	
	/**
     * 图片文件名称
     */
    private String orgFileName;
	
	/**
	 * 展示营业执照图片路径
	 */
	private String viewOrgFilePath;
	/**
	 * 法定代表人
	 */
	private String legalPerson;

	/**
	 * 法定代表人手机
	 */
	private String legalPersonPhone;
	/**
	 * 法人邮箱
	 */
	private String legalPersonEmail;
	/**
	 * 生产经营地址
	 */
	private String runAddress;
	/**
	 * 注册地址
	 */
	private String regAddress;
	/**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;
    
    /**
     * 厂区边界
     */
    private String boundary;
	/**
	 * 省份代码
	 */
	private String provinceId;

	/**
	 * 省份名称
	 */
	private String provinceName;

	/**
	 * 城市代码
	 */
	private String cityId;

	/**
	 * 城市名称
	 */
	private String cityName;

	/**
	 * 区县代码
	 */
	private String countyId;

	/**
	 * 区县名称
	 */
	private String countyName;

	/**
	 * 所属地区
	 */
	private String areaName;

	/**
	 * 所属街道
	 */
	private String streetName;

	/**
	 * 保存授权书
	 */
	private String authorizeFile;
	
	/**
     * 授权书文件原名
     */
    private String authorizeFileOriginalName;
	
	/**
	 * 展示授权书
	 */
	private String viewAuthorizeFile;
	
	/**
	 * 审核状态，0.正常 1.注销  2.锁定 3.审核中 4审核未通过
	 */
	private String accountStatus;
	
	/**
	 * 审核建议
	 */
	private String remarks;

	/**
	 * 监管分类
	 */
	private String regulationBigType;

	private String createTime;

	private String isEnable;
}
