package com.dcit.danger.dto.form;

import java.math.BigDecimal;

import javax.validation.constraints.NotEmpty;

import lombok.Data;

@Data
public class EnterpriseCheckInfoForm {
	
	/**
	 * 审核状态，0.正常 1.删除 2.锁定 3.审核中 4审核未通过
	 */
	@NotEmpty(message="审核状态必填")
	private String accountStatus;
	
	/**
     * 经度
     */
	@NotEmpty(message="经度必填")
    private BigDecimal longitude;

    /**
     * 纬度
     */
	@NotEmpty(message="纬度必填")
    private BigDecimal latitude;
	
	/**
     * 厂区边界
     */
	@NotEmpty(message="厂区边界必填")
    private String boundary;
	
	/**
	 * 审核建议
	 */
	private String remarks;

	/**
	 * 监管分类
	 */
	private String regulationBigType;
}
