package com.dcit.danger.dto.form;

import java.util.Date;

import javax.validation.constraints.NotEmpty;

import lombok.Data;

@Data
public class PlanInfoForm {
	
	/**
     * id
     */
    private String id;

    /**
     * 所属企业id
     */
    @NotEmpty(message="所属企业id必填")
    private String enterpriseId;

    /**
     * 预案等级
     */
    @NotEmpty(message="预案等级必填")
    private String planLevel;

    /**
     * 预案类型
     */
    private String planType;

    /**
     * 预案标题
     */
    @NotEmpty(message="预案标题必填")
    private String planTitle;

    /**
     * 预案内容
     */
    private String planContents;

    /**
     * 预案源文件
     */
    private String sourceFile;
    
    /**
     * 文件原始名称
     */
    private String fileOriginalName;

    /**
     * 是否上报，0未上报，1已上报
     */
    private String isReported;

    /**
     * 上报时间
     */
    private String reportedTime;

    /**
     * 审核状态，0审核中，1审核通过，2审核未通过
     */
    private String checkStatus;

    /**
     * 审核时间
     */
    private String checkTime;


    /**
     * 备注
     */
    private String remarks;

}
