package com.dcit.danger.model;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 *
 * @author zzz
 * @date 2020-07-16T16:25:25.818
 */
@Data
@EqualsAndHashCode
public class AlarmInfo implements Serializable {
    /**
     * id
     */
    private String id;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 设备id
     */
    private String deviceId;

    /**
     * 报警类型
     */
    private String alarmType;

    /**
     * 报警信息
     */
    private String alarmInfo;

    /**
     * 上报数值
     */
    private String reportValue;

    /**
     * 报警时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date alarmTime;

    /**
     * 状态，0预警中，1已处理
     */
    private String alarmStatus;

    private Integer alarmMonth;

    /**
     * 处理类型，0未处理，1自动消警，2手动消警
     */
    private String handleType;

    /**
     * 处理时间
     */
    private Date handleTime;

    /**
     * 处理人id
     */
    private String handleUserId;

    /**
     * 是否派发处理，0否，1是
     */
    private String isSend;

    /**
     * 是否下发
     */
    private Date sendTime;

    /**
     * 处理结果
     */
    private String handResult;

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 
     */
    private Date createTime;

    /**
     * 序列化 ID
     */
    private static final long serialVersionUID = 1L;
}