package com.dcit.danger.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 *
 * @author zzz
 * @date 2020-07-28T09:40:24.344
 */
@Data
@EqualsAndHashCode
public class EnterpriseBasicInfo implements Serializable {
    /**
     * 
     */
    private String id;

    /**
     * 单位名称
     */
    private String unitName;

    /**
     * 组织机构代码
     */
    private String orgCode;

    /**
     * 营业执照图片路径
     */
    private String orgFilePath;

    /**
     * 文件名称
     */
    private String orgFileName;

    /**
     * 生产经营地址
     */
    private String runAddress;

    /**
     * 注册地址
     */
    private String regAddress;

    /**
     * 监管分类大类
     */
    private String regulationBigType;

    /**
     * 监管分类小类
     */
    private String regulationSmallType;

    /**
     * 省份代码
     */
    private String provinceId;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 城市代码
     */
    private String cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 区县代码
     */
    private String countyId;

    /**
     * 区县名称
     */
    private String countyName;

    /**
     * 所属地区
     */
    private String areaName;

    /**
     * 所属街道
     */
    private String streetName;

    /**
     * 隶属关系
     */
    private String relationship;

    /**
     * 属地安监部门
     */
    private String localSafetyDept;

    /**
     * 经营方式
     */
    private String runType;

    /**
     * 成立日期
     */
    private Date regDate;

    /**
     * 占地面积
     */
    private String floorSpace;

    /**
     * 邮政编码
     */
    private String postCode;

    /**
     * 工商注册号码
     */
    private String busRegNum;

    /**
     * 公司传真
     */
    private String faxNum;

    /**
     * 单位经营状态
     */
    private String runStatus;

    /**
     * 行业类别大类
     */
    private String industryBigCategory;

    /**
     * 行业类别小类
     */
    private String industrySmallCategory;

    /**
     * 经济类型大类
     */
    private String economicBigCategory;

    /**
     * 经济类别小类
     */
    private String economicSmallCategory;

    /**
     * 企业规模
     */
    private String enterpriseScale;

    /**
     * 单位规模
     */
    private String unitScale;

    /**
     * 单位平面图
     */
    private String flatPic;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 专项治理类别
     */
    private String governType;

    /**
     * 营业执照类别
     */
    private String businessLicenseType;

    /**
     * 分类监管
     */
    private String classifiedRegulation;

    /**
     * 安全监管等级
     */
    private String supervisionLevel;

    /**
     * 注册资金
     */
    private String registeredCapital;

    /**
     * 年销售额
     */
    private String netSales;

    /**
     * 年利润
     */
    private String saleProfit;

    /**
     * 资产总额
     */
    private String totalAssets;

    /**
     * 母公司名称
     */
    private String parentCompany;

    /**
     * 集团公司名称
     */
    private String groupCompany;

    /**
     * 单位网站地址
     */
    private String website;

    /**
     * 经营范围
     */
    private String businessScope;

    /**
     * 法定代表人
     */
    private String legalPerson;

    /**
     * 法定代表人手机
     */
    private String legalPersonPhone;

    /**
     * 法定代表人座机号码
     */
    private String legalPersonTelephone;

    /**
     * 法人邮箱
     */
    private String legalPersonEmail;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系人手机
     */
    private String contactsPhone;

    /**
     * 联系人座机
     */
    private String contactsTelephone;

    /**
     * 联系人邮箱
     */
    private String contactsEmail;

    /**
     * 主要负责人
     */
    private String keyPerson;

    /**
     * 主要负责人手机
     */
    private String keyPersonPhone;

    /**
     * 主要负责人座机
     */
    private String keyPersonTelephone;

    /**
     * 主要负责人邮箱
     */
    private String keyPersonEmail;

    /**
     * 安全负责人
     */
    private String safetyPerson;

    /**
     * 安全负责人手机
     */
    private String safetyPersonPhone;

    /**
     * 
     */
    private String safetyPersonTelephone;

    /**
     * 安全负责人邮箱
     */
    private String safetyPersonEmail;

    /**
     * 从业人员数量
     */
    private String employeeNum;

    /**
     * 注册安全工程师数量
     */
    private String certifiedSafetyEngineer;

    /**
     * 安全生产管理人员
     */
    private String workSafetyManagerNum;

    /**
     * 特种作业人员数
     */
    private String specialWorkNum;

    /**
     * 应急人员数
     */
    private String emergencyPersonnelNum;

    /**
     * 是否有专门安全机构
     */
    private String isSafetyDept;

    /**
     * 标准化等级是否达标
     */
    private String standardizedGrade;

    /**
     * 是否有专职安全人员
     */
    private String isSafetyPerson;

    /**
     * 隐患排查治理计划
     */
    private String hiddenDangersPlan;

    /**
     * 是否存在重大危险源
     */
    private String isBigDangers;

    /**
     * 隐患排查治理制度
     */
    private String hiddenDangersInstitution;

    /**
     * 授权书
     */
    private String authorizeFile;

    /**
     * 授权书文件原名
     */
    private String authorizeFileOriginalName;
    
    /**
     * 厂区边界
     */
    private String boundary;

    /**
     * 是否启用，0启用，1禁用
     */
    private String isEnable;

    /**
     * 创建人id
     */
    private String createUserId;

    /**
     * 更新人id
     */
    private String updateUserId;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 
     */
    private Date createTime;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 序列化 ID
     */
    private static final long serialVersionUID = 1L;
}