package com.dcit.danger.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 企业数据信息
 *
 * @author zzz
 * @date 2020-07-16T10:11:53.006
 */
@Data
@EqualsAndHashCode
public class EnterpriseGoodsInfo implements Serializable {
    /**
     * 
     */
    private String id;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 数据类型，1企业辅料，2生产设备，3企业产品，4应急物资
     */
    private String dataType;

    /**
     * 编号
     */
    private String number;

    /**
     * 名称
     */
    private String goodsName;

    /**
     * 介绍
     */
    private String goodsInfo;

    /**
     * 物品类型
     */
    private String category;

    /**
     * 是否是重大危险源,0否，1是
     */
    private String isBigDanger;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 状态
     */
    private String status;

    /**
     * 库存数量
     */
    private String stockNum;

    /**
     * 危险等级
     */
    private String dangerGrade;

    /**
     * 所在厂区位置
     */
    private String factoryLocation;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 仓库编号
     */
    private String warehouseNum;

    /**
     * 入库时间
     */
    private Date addTime;

    /**
     * 出库时间
     */
    private Date outTime;

    /**
     * 是否删除，0正常，1已删除
     */
    private String isDel;

    /**
     * 创建人id
     */
    private String createUserId;

    /**
     * 更新人id
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 序列化 ID
     */
    private static final long serialVersionUID = 1L;
}