package com.dcit.danger.model;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 预案信息列表
 *
 * @author zzz
 * @date 2020-07-28T09:40:24.359
 */
@Data
@EqualsAndHashCode
public class PlanInfo implements Serializable {
    /**
     * id
     */
    private String id;

    /**
     * 所属企业id
     */
    private String enterpriseId;

    /**
     * 预案等级
     */
    private String planLevel;

    /**
     * 预案类型
     */
    private String planType;

    /**
     * 预案标题
     */
    private String planTitle;

    /**
     * 预案内容
     */
    private String planContents;

    /**
     * 预案源文件
     */
    private String sourceFile;

    /**
     * 文件原始名称
     */
    private String fileOriginalName;

    /**
     * 是否上报，0未上报，1已上报
     */
    private String isReported;

    /**
     * 上报时间
     */
    private Date reportedTime;

    /**
     * 审核状态，0审核中，1审核通过，2审核未通过
     */
    private String checkStatus;

    /**
     * 审核时间
     */
    private Date checkTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建人id
     */
    private String createUserId;

    /**
     * 
     */
    private Date createTime;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 序列化 ID
     */
    private static final long serialVersionUID = 1L;
}