package com.dcit.danger.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.google.common.collect.MapMaker;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.dcit.danger.dao.EnterpriseBasicInfoMapper;
import com.dcit.danger.dto.EnterpriseDangerNumDTO;
import com.dcit.danger.dto.EnterpriseRegDTO;
import com.dcit.danger.dto.query.EnterpriseInfoQuery;
import com.dcit.danger.model.EnterpriseBasicInfo;
import com.dcit.danger.model.EnterpriseBasicInfoExample;
import com.dcit.danger.service.EnterpriseInfoService;
import org.thymeleaf.expression.Lists;

@Service
public class EnterpriseInfoServiceImpl implements EnterpriseInfoService {
	
	@Autowired
	private EnterpriseBasicInfoMapper enterpriseBasicInfoMapper;

	@Override
	public List<EnterpriseBasicInfo> selectEnterpriseInfoByExample(
			EnterpriseBasicInfoExample enterpriseBasicInfoExample) {
		// TODO Auto-generated method stub
		return enterpriseBasicInfoMapper.selectByExample(enterpriseBasicInfoExample);
	}

	@Override
	public int addEnterpriseInfo(EnterpriseBasicInfo enterpriseBasicInfo) {
		// TODO Auto-generated method stub
		return enterpriseBasicInfoMapper.insertSelective(enterpriseBasicInfo);
	}

	@Override
	public int updateEnterpriseInfoById(EnterpriseBasicInfo enterpriseBasicInfo) {
		// TODO Auto-generated method stub
		return enterpriseBasicInfoMapper.updateByPrimaryKeySelective(enterpriseBasicInfo);
	}

	@Override
	public int deleteEnterpriseInfoById(String id) {
		// TODO Auto-generated method stub
		return enterpriseBasicInfoMapper.deleteByPrimaryKey(id);
	}

	@Override
	public EnterpriseBasicInfo selectEnterpriseInfoById(String id) {
		// TODO Auto-generated method stub
		return enterpriseBasicInfoMapper.selectByPrimaryKey(id);
	}

	@Override
	public List<EnterpriseRegDTO> selectEnterpriseRegInfo(EnterpriseInfoQuery enterpriseInfoQuery) {
		// TODO Auto-generated method stub
		return enterpriseBasicInfoMapper.selectEnterpriseRegInfo(enterpriseInfoQuery);
	}

	@Override
	public EnterpriseRegDTO selectEnterpriseRegInfoById(String enterpriseId) {
		// TODO Auto-generated method stub
		return enterpriseBasicInfoMapper.selectEnterpriseRegInfoById(enterpriseId);
	}

	@Override
	public List<EnterpriseDangerNumDTO> selectEnterpriseDangerNum(String enterpriseId) {
		// TODO Auto-generated method stub
		return enterpriseBasicInfoMapper.selectEnterpriseDangerNum(enterpriseId);
	}

	@Override
	public List<Map<Object, Object>> countByRegulation() {
		return enterpriseBasicInfoMapper.countByRegulation();
	}

	@Override
	public Map<String,Object> enterpriseRiskInfo(){
		List<Map<String,Object>> list = enterpriseBasicInfoMapper.enterpriseRiskInfo();
		String[] company = new String[list.size()];
		Integer[] risk = new Integer[list.size()];
		Integer[] trouble = new Integer[list.size()];
		for(int i=0 ;i<list.size();i++){
			Map<String,Object> newMap = enterpriseBasicInfoMapper.selectCount((String) list.get(i).get("id"));
			company[i]= (String) list.get(i).get("company");
			Integer b = Integer.parseInt(String.valueOf(newMap.get("risk")));
			risk[i]= b;
			trouble[i]= Integer.parseInt(String.valueOf(newMap.get("trouble")));
		}
		Map<String,Object> map = new HashMap<>();
		map.put("company",company);
		map.put("risk",risk);
		map.put("trouble",trouble);
		return map;
	}

}
